import { OnChanges, SimpleChanges } from '@angular/core';
import { AudioService } from './service';
import { Audio } from './model';
export declare class AudioComponent implements OnChanges {
    audio: AudioService;
    data: object;
    themes: string[];
    cover: boolean;
    bar: boolean;
    constructor(audio: AudioService);
    ngOnChanges(changes: SimpleChanges): void;
    Skip(e: any): void;
}
export declare class AudioCtrlComponent implements OnChanges {
    audio: AudioService;
    data: Audio;
    theme: string;
    size: string[];
    cover: boolean;
    constructor(audio: AudioService);
    ngOnChanges(changes: SimpleChanges): void;
}
