export declare enum PlayOrder {
    LINE = 0,
    SINGLE = 1,
    RANDOM = 2,
    AROUND = 3,
}
export interface Audio {
    Id?: number;
    Title?: string;
    Album?: string;
    Artist?: string;
    Desc?: string;
    Duration?: number;
    Cover?: string;
    Src: string;
}
export interface PlayData {
    Playing: boolean;
    Progress: number;
    Order: PlayOrder;
    Index: number;
    Data: number;
}
