import { Audio, PlayData } from './model';
export declare class AudioService {
    private _audio;
    private playList;
    private playData;
    private dataInterval;
    constructor();
    Toggle(audio?: Audio): void;
    Add(audio: Audio): void;
    Remove(index: number): void;
    Next(): void;
    Prev(): void;
    Skip(percent: number): void;
    PlayIndex(index: number): void;
    PlayList(): Audio[];
    PlayData(): PlayData;
    CurrentAudio(): any;
    private serviceInit();
    private audioInit();
}
